ahoyapi: v2
commands:
  up:
    cmd: |
      docker-compose up -d
      echo "Open site in browser: http://127.0.0.1:8999"
      echo "It may take a few seconds before the server is up and running."
    usage: Start MkDocs server.
  down:
    cmd: docker-compose down
    usage: Stop MkDocs server and remove container.
  stop:
    cmd: docker-compose stop
    usage: Stop MkDocs server.
  restart:
    cmd: docker-compose restart
    usage: Restart MkDocs server.
  logs:
    cmd: docker-compose logs -f
    usage: Show logs from MkDocs server.
  build:
    cmd: docker-compose exec --workdir=/mkdocs mkdocs mkdocs build
    usage: Builds the documentation in site directory.
